%global short_ver 198

Name:           mads
Version:        1.9.8
Release:        1%{?dist}
Summary:        6502/65816 multi-pass cross-assembler

Group:          Development/Tools
License:        Distributable
URL:            http://mads.atari8.info/
Source0:        http://mads.atari8.info/%{name}_%{short_ver}src.7z

BuildRequires:  p7zip
BuildRequires:  fpc


%description
MADS is a multi-pass cross-assembler designed for 6502 and 65816 processors.
Binaries are generated mainly for Atari 8-bit systems (supported are AtariDosII
and SpartaDOS X formats).

MADS allows using macros and procedures (ability to use program stack),
division of the memory between many virtual-banks, multi-dimensional names
of labels (similar to C++ and Delphi languages), local-global-temporary labels.

Max. amount of labels and macros is limited to PC's memory size. Single
listing's line can be 65536 bytes long and any label can be such long as well.


%prep
%setup -q -c -T
7za x %{SOURCE0}


%build
fpc -Mdelphi -vh -O3 -gw mads.pas


%install
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}


%files
%doc
%{_bindir}/%{name}


%changelog
* Sun Apr 27 2014 Dan Horák <dan[at]danny.cz> 1.9.8-1
- updated to 1.9.8

* Fri Aug 10 2012 Dan Horák <dan[at]danny.cz> 1.9.4-1
- updated to 1.9.4

* Tue Sep  6 2011 Dan Horák <dan[at]danny.cz> 1.9.3-2
- switch to DWARF debuginfo

* Tue Sep  6 2011 Dan Horák <dan[at]danny.cz> 1.9.3-1
- updated to 1.9.3

* Sat Jan 22 2011 Dan Horák <dan[at]danny.cz> 1.9.2-1
- updated to 1.9.2

* Mon Oct 11 2010 Dan Horák <dan[at]danny.cz> 1.9.0-1
- initial Fedora version
